Bug 4125 - Missing ptrace defines from user space ptrace.h
Summary: Missing ptrace defines from user space ptrace.h
Status: RESOLVED FIXED
Alias: None
Product: glibc
Classification: Unclassified
Component: libc (show other bugs)
Version: unspecified
: P2 normal
Target Milestone: ---
Assignee: Ulrich Drepper
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-03-02 22:33 UTC by robert angelino
Modified: 2018-04-20 13:55 UTC (History)
1 user (show)

See Also:
Host:
Target:
Build:
Last reconfirmed:
fweimer: security-


Attachments
ptrace patch to include more user space ptrace options (398 bytes, text/plain)
2007-03-02 22:36 UTC, robert angelino
Details

Note You need to log in before you can comment on or make changes to this bug.
Description robert angelino 2007-03-02 22:33:39 UTC
The following defines are missing from user space /usr/include/sys/ptrace.h:

/* options set using PTRACE_SETOPTIONS */
#define PTRACE_O_TRACESYSGOOD  0x00000001
#define PTRACE_O_TRACEFORK     0x00000002
#define PTRACE_O_TRACEVFORK    0x00000004
#define PTRACE_O_TRACECLONE    0x00000008
#define PTRACE_O_TRACEEXEC     0x00000010
#define PTRACE_O_TRACEVFORKDONE        0x00000020
#define PTRACE_O_TRACEEXIT     0x00000040

#define PTRACE_O_MASK          0x0000007f

/* Wait extended result codes for the above trace options.  */
#define PTRACE_EVENT_FORK      1
#define PTRACE_EVENT_VFORK     2
#define PTRACE_EVENT_CLONE     3
#define PTRACE_EVENT_EXEC      4
#define PTRACE_EVENT_VFORK_DONE        5
#define PTRACE_EVENT_EXIT      6
Comment 1 robert angelino 2007-03-02 22:36:09 UTC
Created attachment 1594 [details]
ptrace patch to include more user space ptrace options

The attached patch adds additional defines in user space.  This patch is
against development release 2.5.90...
Comment 2 cvs-commit@gcc.gnu.org 2007-06-17 17:29:58 UTC
Subject: Bug 4125

CVSROOT:	/cvs/glibc
Module name:	libc
Changes by:	aj@sourceware.org	2007-06-17 17:29:48

Modified files:
	.              : ChangeLog 
	sysdeps/unix/sysv/linux/sys: ptrace.h 
	sysdeps/unix/sysv/linux/ia64/sys: ptrace.h 
	sysdeps/unix/sysv/linux/powerpc/sys: ptrace.h 
	sysdeps/unix/sysv/linux/s390/sys: ptrace.h 
	sysdeps/unix/sysv/linux/sparc/sys: ptrace.h 

Log message:
	[BZ #4125]
	* sysdeps/unix/sysv/linux/sys/ptrace.h
	(PTRACE_O_TRACESYSGOOD, PTRACE_O_TRACEFORK,
	PTRACE_O_TRACEVFORK, PTRACE_O_TRACECLONE, PTRACE_O_TRACEEXEC,
	PTRACE_O_TRACEVFORKDONE, PTRACE_O_TRACEEXIT, PTRACE_O_MASK,
	PTRACE_EVENT_FORK, PTRACE_EVENT_VFORK, PTRACE_EVENT_CLONE,
	PTRACE_EVENT_EXEC, PTRACE_EVENT_VFORK_DONE, PTRACE_EVENT_EXIT):
	Define.
	* sysdeps/unix/sysv/linux/powerpc/sys/ptrace.h: Likewise.
	* sysdeps/unix/sysv/linux/ia64/sys/ptrace.h: Likewise.
	* sysdeps/unix/sysv/linux/sparc/sys/ptrace.h: Likewise.
	* sysdeps/unix/sysv/linux/s390/sys/ptrace.h: Likewise.

Patches:
http://sourceware.org/cgi-bin/cvsweb.cgi/libc/ChangeLog.diff?cvsroot=glibc&r1=1.10676&r2=1.10677
http://sourceware.org/cgi-bin/cvsweb.cgi/libc/sysdeps/unix/sysv/linux/sys/ptrace.h.diff?cvsroot=glibc&r1=1.15&r2=1.16
http://sourceware.org/cgi-bin/cvsweb.cgi/libc/sysdeps/unix/sysv/linux/ia64/sys/ptrace.h.diff?cvsroot=glibc&r1=1.4&r2=1.5
http://sourceware.org/cgi-bin/cvsweb.cgi/libc/sysdeps/unix/sysv/linux/powerpc/sys/ptrace.h.diff?cvsroot=glibc&r1=1.3&r2=1.4
http://sourceware.org/cgi-bin/cvsweb.cgi/libc/sysdeps/unix/sysv/linux/s390/sys/ptrace.h.diff?cvsroot=glibc&r1=1.3&r2=1.4
http://sourceware.org/cgi-bin/cvsweb.cgi/libc/sysdeps/unix/sysv/linux/sparc/sys/ptrace.h.diff?cvsroot=glibc&r1=1.6&r2=1.7

Comment 3 Andreas Jaeger 2007-06-17 17:33:56 UTC
Fixed for glibc 2.7